Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.8.1 Regression?: No

Operating System: Mac OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21754

Description

I am trying to use data definition to define a cliff hashmark.

I have created a style for the line with a simple marker and plan to use the vertical anchor point offset to move the marker to the proper

side of the line.

I have created a string field with a width of 10 and enter "bottom" or "top" into the field. After creating the line the hashmarks are displayed

correctly. However, as soon as I save the shapefile it defaults back to a centered anchor point.

I have tried changing the table and saving. I have quit QGIS and restarted. It is like it doesn't read from the shapefile correctly.

History

#1 - 2015-11-01 11:41 PM - Nyall Dawson

- Status changed from Open to Feedback

To confirm, is the data getting saved corrctly into the shapefile (eg browsing the table shows your entered anchor values), or is the data definition getting

lost when saving the project?

#2 - 2015-11-02 10:19 AM - Michael Knopp

Yes, the data is getting saved to the shapefile. If I open the table the data is shown exactly as entered.

Also, I have tried this on a Windows 7 SP 1 machine also running QGIS 2.8.1 and the behavior is exactly the same.

#3 - 2015-11-03 12:32 AM - Nyall Dawson

I can't reproduce. Can you share a small project/sample data which shows this issue?

#4 - 2015-11-03 07:09 AM - Michael Knopp

- File Hachure_Test.zip added

- File Installed_Plugins.png added

Sure. I just created a very small topo with a cut. Using only these two small shapefiles it is still doing it on my systems.

2025-04-27 1/2



I also am including a screenshot of my installed plugins. Just in case it is some conflict with one of them.

Thanks.

#5 - 2015-11-03 12:40 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Ok, this issue was already fixed in 2.8.2. I've tested your project with 2.8.3 and it works fine.

Files

test_data_at_creation.png 96.4 KB 2015-11-01 Michael Knopp

before_save_display_correctly.png 80.6 KB 2015-11-01 Michael Knopp

after_save_display_incorrect.png 74.7 KB 2015-11-01 Michael Knopp

Hachure_Test.zip 122 KB 2015-11-03 Michael Knopp

Installed_Plugins.png 455 KB 2015-11-03 Michael Knopp
